/* EMPCd Key Event Table */

#include "empcd.h"

struct empcd_mapping key_value_map[] =
{
	{EV_KEY_UP,		"up",			"Key goes up again"			},
	{EV_KEY_DOWN,		"down",			"Key gets pressed down"			},
	{EV_KEY_REPEAT,		"repeat",		"Key down and gets repeated"		},

	{EMPCD_MAPPING_END,	"undefined",		"Undefined"				}
};

struct empcd_mapping key_event_map[] =
{
	{KEY_RESERVED,		"KEY_RESERVED",		"Reserved"				},
	{KEY_ESC,		"KEY_ESC",		"Escape"				},
	{KEY_1,			"KEY_1",		"1"					},
	{KEY_2,			"KEY_2",		"2"					},
	{KEY_3,			"KEY_3",		"3"					},
	{KEY_4,			"KEY_4",		"4"					},
	{KEY_5,			"KEY_5",		"5"					},
	{KEY_6,			"KEY_6",		"6"					},
	{KEY_7,			"KEY_7",		"7"					},
	{KEY_8,			"KEY_8",		"8"					},
	{KEY_9,		 	"KEY_9",		"9"					},
	{KEY_0,			"KEY_0",		"0"					},
	{KEY_MINUS,		"KEY_MINUS",		"-"					},
	{KEY_EQUAL,		"KEY_EQUAL",		"="					},
	{KEY_BACKSPACE,		"KEY_BACKSPACE",	"Backspace"				},
	{KEY_TAB,		"KEY_TAB",		"Tab"					},
	{KEY_Q,			"KEY_Q",		"Q"					},
	{KEY_W,			"KEY_W",		"W"					},
	{KEY_E,			"KEY_E",		"E"					},
	{KEY_R,			"KEY_R",		"R"					},
	{KEY_T,			"KEY_T",		"T"					},
	{KEY_Y,			"KEY_Y",		"Y"					},
	{KEY_U,			"KEY_U",		"U"					},
	{KEY_I,			"KEY_I",		"I"					},
	{KEY_O,			"KEY_O",		"O"					},
	{KEY_P,			"KEY_P",		"P"					},
	{KEY_LEFTBRACE,		"KEY_LEFTBRACE",	"["					},
	{KEY_RIGHTBRACE,	"KEY_RIGHTBRACE",	"]"					},
	{KEY_ENTER,		"KEY_ENTER",		"Enter"					},
	{KEY_LEFTCTRL,		"KEY_LEFTCTRL",		"LH Control"				},
	{KEY_A,			"KEY_A",		"A"					},
	{KEY_S,			"KEY_S",		"S"					},
	{KEY_D,			"KEY_D",		"D"					},
	{KEY_F,			"KEY_F",		"F"					},
	{KEY_G,			"KEY_G",		"G"					},
	{KEY_H,			"KEY_H",		"H"					},
	{KEY_J,			"KEY_J",		"J"					},
	{KEY_K,			"KEY_K",		"K"					},
	{KEY_L,			"KEY_L",		"L"					},
	{KEY_SEMICOLON,		"KEY_SEMICOLON",	";"					},
	{KEY_APOSTROPHE,	"KEY_APOSTROPHE",	"'"					},
	{KEY_GRAVE,		"KEY_GRAVE",		"`"					},
	{KEY_LEFTSHIFT,		"KEY_LEFTSHIFT",	"LH Shift"				},
	{KEY_BACKSLASH,		"KEY_BACKSLASH",	"\\"					},
	{KEY_Z,			"KEY_Z",		"Z"					},
	{KEY_X,			"KEY_X",		"X"					},
	{KEY_C,			"KEY_C",		"C"					},
	{KEY_V,			"KEY_V",		"V"					},
	{KEY_B,			"KEY_B",		"B"					},
	{KEY_N,			"KEY_N",		"N"					},
	{KEY_M,			"KEY_M",		"M"					},
	{KEY_COMMA,		"KEY_COMMA",		","					},
	{KEY_DOT,		"KEY_DOT",		"."					},
	{KEY_SLASH,		"KEY_SLASH",		"/"					},
	{KEY_RIGHTSHIFT,	"KEY_RIGHTSHIFT",	"RH Shift"				},
	{KEY_KPASTERISK,	"KEY_KPASTERISK",	"*"					},
	{KEY_LEFTALT,		"KEY_LEFTALT",		"LH Alt"				},
	{KEY_SPACE,		"KEY_SPACE",		"Space"					},
	{KEY_CAPSLOCK,		"KEY_CAPSLOCK",		"CapsLock"				},
	{KEY_F1,		"KEY_F1",		"F1"					},
	{KEY_F2,		"KEY_F2",		"F2"					},
	{KEY_F3,		"KEY_F3",		"F3"					},
	{KEY_F4,		"KEY_F4",		"F4"					},
	{KEY_F5,		"KEY_F5",		"F5"					},
	{KEY_F6,		"KEY_F6",		"F6"					},
	{KEY_F7,		"KEY_F7",		"F7"					},
	{KEY_F8,		"KEY_F8",		"F8"					},
	{KEY_F9,		"KEY_F9",		"F9"					},
	{KEY_F10,		"KEY_F10",		"F10"					},
	{KEY_NUMLOCK,		"KEY_NUMLOCK",		"NumLock"				},
	{KEY_SCROLLLOCK,	"KEY_SCROLLLOCK",	"ScrollLock"				},
	{KEY_KP7,		"KEY_KP7",		"KeyPad 7"				},
	{KEY_KP8,		"KEY_KP8",		"KeyPad 8"				},
	{KEY_KP9,		"KEY_KP9",		"Keypad 9"				},
	{KEY_KPMINUS,		"KEY_KPMINUS",		"KeyPad Minus"				},
	{KEY_KP4,		"KEY_KP4",		"KeyPad 4"				},
	{KEY_KP5,		"KEY_KP5",		"KeyPad 5"				},
	{KEY_KP6,		"KEY_KP6",		"KeyPad 6"				},
	{KEY_KPPLUS,		"KEY_KPPLUS",		"KeyPad Plus"				},
	{KEY_KP1,		"KEY_KP1",		"KeyPad 1"				},
	{KEY_KP2,		"KEY_KP2",		"KeyPad 2"				},
	{KEY_KP3,		"KEY_KP3",		"KeyPad 3"				},
	{KEY_KP0,		"KEY_KP0",		"KeyPad 0"				},
	{KEY_KPDOT,		"KEY_KPDOT",		"KeyPad decimal point"			},
	{KEY_102ND,		"KEY_102ND",		"102nd"					},
	{KEY_F11,		"KEY_F11",		"F11"					},
	{KEY_F12,		"KEY_F12",		"F12"					},
	{KEY_F13,		"KEY_F13",		"F13"					},
	{KEY_F14,		"KEY_F14",		"F14"					},
	{KEY_F15,		"KEY_F15",		"F15"					},
	{KEY_F16,		"KEY_F16",		"F16"					},
	{KEY_F17,		"KEY_F17",		"F17"					},
	{KEY_F18,		"KEY_F18",		"F18"					},
	{KEY_F19,		"KEY_F19",		"F19"					},
	{KEY_F20,		"KEY_F20",		"F20"					},
	{KEY_KPENTER,		"KEY_KPENTER",		"Keypad Enter"				},
	{KEY_RIGHTCTRL,		"KEY_RIGHTCTRL",	"RH Control"				},
	{KEY_KPSLASH,		"KEY_KPSLASH",		"KeyPad Forward Slash"			},
	{KEY_SYSRQ,		"KEY_SYSRQ",		"System Request"			},
	{KEY_RIGHTALT,		"KEY_RIGHTALT",		"RH Alternate"				},
	{KEY_LINEFEED,		"KEY_LINEFEED",		"Line Feed"				},
	{KEY_HOME,		"KEY_HOME",		"Home"					},
	{KEY_UP,		"KEY_UP",		"Up"					},
	{KEY_PAGEUP,		"KEY_PAGEUP",		"Page Up"				},
	{KEY_LEFT,		"KEY_LEFT",		"Left"					},
	{KEY_RIGHT,		"KEY_RIGHT",		"Right"					},
	{KEY_END,		"KEY_END",		"End"					},
	{KEY_DOWN,		"KEY_DOWN",		"Down"					},
	{KEY_PAGEDOWN,		"KEY_PAGEDOWN",		"Page Down"				},
	{KEY_INSERT,		"KEY_INSERT",		"Insert"				},
	{KEY_DELETE,		"KEY_DELETE",		"Delete"				},
	{KEY_MACRO,		"KEY_MACRO",		"Macro"					},
	{KEY_MUTE,		"KEY_MUTE",		"Mute"					},
	{KEY_VOLUMEDOWN,	"KEY_VOLUMEDOWN",	"Volume Down"				},
	{KEY_VOLUMEUP,		"KEY_VOLUMEUP",		"Volume Up"				},
	{KEY_POWER,		"KEY_POWER",		"Power"					},
	{KEY_KPEQUAL,		"KEY_KPEQUAL",		"KeyPad Equal"				},
	{KEY_KPPLUSMINUS,	"KEY_KPPLUSMINUS",	"KeyPad +/-"				},
	{KEY_PAUSE,		"KEY_PAUSE",		"Pause"					},
	{KEY_F21,		"KEY_F21",		"F21"					},
	{KEY_F22,		"KEY_F22",		"F22"					},
	{KEY_F23,		"KEY_F23",		"F23"					},
	{KEY_F24,		"KEY_F24",		"F24"					},
	{KEY_KPCOMMA,		"KEY_KPCOMMA",		"KeyPad comma"				},
	{KEY_LEFTMETA,		"KEY_LEFTMETA",		"LH Meta"				},
	{KEY_RIGHTMETA,		"KEY_RIGHTMETA",	"RH Meta"				},
	{KEY_COMPOSE,		"KEY_COMPOSE",		"Compose"				},
	{KEY_STOP,		"KEY_STOP",		"Stop"					},
	{KEY_AGAIN,		"KEY_AGAIN",		"Again"					},
	{KEY_PROPS,		"KEY_PROPS",		"Properties"				},
	{KEY_UNDO,		"KEY_UNDO",		"Undo"					},
	{KEY_FRONT,		"KEY_FRONT",		"Front"					},
	{KEY_COPY,		"KEY_COPY",		"Copy"					},
	{KEY_OPEN,		"KEY_OPEN",		"Open"					},
	{KEY_PASTE,		"KEY_PASTE",		"Paste"					},
	{KEY_FIND,		"KEY_FIND",		"Find"					},
	{KEY_CUT,		"KEY_CUT",		"Cut"					},
	{KEY_HELP,		"KEY_HELP",		"Help"					},
	{KEY_MENU,		"KEY_MENU",		"Menu"					},
	{KEY_CALC,		"KEY_CALC",		"Calculator"				},
	{KEY_SETUP,		"KEY_SETUP",		"Setup"					},
	{KEY_SLEEP,		"KEY_SLEEP",		"Sleep"					},
	{KEY_WAKEUP,		"KEY_WAKEUP",		"Wakeup"				},
	{KEY_FILE,		"KEY_FILE",		"File"					},
	{KEY_SENDFILE,		"KEY_SENDFILE",		"Send File"				},
	{KEY_DELETEFILE,	"KEY_DELETEFILE",	"Delete File"				},
	{KEY_XFER,		"KEY_XFER",		"Transfer"				},
	{KEY_PROG1,		"KEY_PROG1",		"Program 1"				},
	{KEY_PROG2,		"KEY_PROG2",		"Program 2"				},
	{KEY_WWW,		"KEY_WWW",		"Web Browser"				},
	{KEY_MSDOS,		"KEY_MSDOS",		"DOS mode"				},
	{KEY_COFFEE,		"KEY_COFFEE",		"Coffee"				},
	{KEY_DIRECTION,		"KEY_DIRECTION",	"Direction"				},
	{KEY_CYCLEWINDOWS,	"KEY_CYCLEWINDOWS",	"Window cycle"				},
	{KEY_MAIL,		"KEY_MAIL",		"Mail"					},
	{KEY_BOOKMARKS,		"KEY_BOOKMARKS",	"Book Marks"				},
	{KEY_COMPUTER,		"KEY_COMPUTER",		"Computer"				},
	{KEY_BACK,		"KEY_BACK",		"Back"					},
	{KEY_FORWARD,		"KEY_FORWARD",		"Forward"				},
	{KEY_CLOSECD,		"KEY_CLOSECD",		"Close CD"				},
	{KEY_EJECTCD,		"KEY_EJECTCD",		"Eject CD"				},
	{KEY_EJECTCLOSECD,	"KEY_EJECTCLOSECD",	"Eject / Close CD"			},
	{KEY_NEXTSONG,		"KEY_NEXTSONG",		"Next Song"				},
	{KEY_PLAYPAUSE,		"KEY_PLAYPAUSE",	"Play and Pause"			},
	{KEY_PREVIOUSSONG,	"KEY_PREVIOUSSONG",	"Previous Song"				},
	{KEY_STOPCD,		"KEY_STOPCD",		"Stop CD"				},
	{KEY_RECORD,		"KEY_RECORD",		"Record"				},
	{KEY_REWIND,		"KEY_REWIND",		"Rewind"				},
	{KEY_PHONE,		"KEY_PHONE",		"Phone"					},
	{KEY_ISO,		"KEY_ISO",		"ISO"					},
	{KEY_CONFIG,		"KEY_CONFIG",		"Config"				},
	{KEY_HOMEPAGE,		"KEY_HOMEPAGE",		"Home"					},
	{KEY_REFRESH,		"KEY_REFRESH",		"Refresh"				},
	{KEY_EXIT,		"KEY_EXIT",		"Exit"					},
	{KEY_MOVE,		"KEY_MOVE",		"Move"					},
	{KEY_EDIT,		"KEY_EDIT",		"Edit"					},
	{KEY_SCROLLUP,		"KEY_SCROLLUP",		"Scroll Up"				},
	{KEY_SCROLLDOWN,	"KEY_SCROLLDOWN",	"Scroll Down"				},
	{KEY_KPLEFTPAREN,	"KEY_KPLEFTPAREN",	"KeyPad LH parenthesis"			},
	{KEY_KPRIGHTPAREN,	"KEY_KPRIGHTPAREN",	"KeyPad RH parenthesis"			},
	{KEY_PLAYCD,		"KEY_PLAYCD",		"Play CD"				},
	{KEY_PAUSECD,		"KEY_PAUSECD",		"Pause CD"				},
	{KEY_PROG3,		"KEY_PROG3",		"Program 3"				},
	{KEY_PROG4,		"KEY_PROG4",		"Program 4"				},
	{KEY_SUSPEND,		"KEY_SUSPEND",		"Suspend"				},
	{KEY_CLOSE,		"KEY_CLOSE",		"Close"					},
	{KEY_UNKNOWN,		"KEY_UNKNOWN",		"Specifically unknown"			},
	{KEY_BRIGHTNESSDOWN,	"KEY_BRIGHTNESSDOWN",	"Brightness Down"			},
	{KEY_BRIGHTNESSUP,	"KEY_BRIGHTNESSUP",	"Brightness Up"				},
	{BTN_0,			"BTN_0",		"Button 0"				},
	{BTN_1,			"BTN_1",		"Button 1"				},
	{BTN_2,			"BTN_2",		"Button 2"				},
	{BTN_3,			"BTN_3",		"Button 3"				},
	{BTN_4,			"BTN_4",		"Button 4"				},
	{BTN_5,			"BTN_5",		"Button 5"				},
	{BTN_6,			"BTN_6",		"Button 6"				},
	{BTN_7,			"BTN_7",		"Button 7"				},
	{BTN_8,			"BTN_8",		"Button 8"				},
	{BTN_9,			"BTN_9",		"Button 9"				},
	{BTN_LEFT,		"BTN_LEFT",		"Left Button"				},
	{BTN_RIGHT,		"BTN_RIGHT",		"Right Button"				},
	{BTN_MIDDLE,		"BTN_MIDDLE",		"Middle Button	"			},
	{BTN_SIDE,		"BTN_SIDE",		"Side Button"				},
	{BTN_EXTRA,		"BTN_EXTRA",		"Extra Button"				},
	{BTN_FORWARD,		"BTN_FORWARD",		"Forward Button"			},
	{BTN_BACK,		"BTN_BACK",		"Back Button"				},
	{BTN_TRIGGER,		"BTN_TRIGGER",		"Trigger Button"			},
	{BTN_THUMB,		"BTN_THUMB",		"Thumb Button"				},
	{BTN_THUMB2,		"BTN_THUMB2",		"Second Thumb Button"			},
	{BTN_TOP,		"BTN_TOP",		"Top Button"				},
	{BTN_TOP2,		"BTN_TOP2",		"Second Top Button"			},
	{BTN_PINKIE,		"BTN_PINKIE",		"Pinkie Button"				},
	{BTN_BASE,		"BTN_BASE",		"Base Button"				},
	{BTN_BASE2,		"BTN_BASE2",		"Second Base Button"			},
	{BTN_BASE3,		"BTN_BASE3",		"Third Base Button"			},	
	{BTN_BASE4,		"BTN_BASE4",		"Fourth Base Button"			},
	{BTN_BASE5,		"BTN_BASE5",		"Fifth Base Button"			},
	{BTN_BASE6,		"BTN_BASE6",		"Sixth Base Button"			},
	{BTN_DEAD,		"BTN_DEAD",		"Dead Button"				},
	{BTN_A,			"BTN_A",		"Button A"				},
	{BTN_C,			"BTN_B",		"Button B"				},
	{BTN_B,			"BTN_C",		"Button C"				},
	{BTN_X,			"BTN_X",		"Button X"				},
	{BTN_Y,			"BTN_Y",		"Button Y"				},
	{BTN_Z,			"BTN_Z",		"Button Z"				},
	{BTN_TL,		"BTN_TL",		"Thumb Left Button"			},
	{BTN_TR,		"BTN_TR",		"Thumb Right Button"			},
	{BTN_TL2,		"BTN_TL2",		"Second Thumb Left Button"		},
	{BTN_TR2,		"BTN_TR2",		"Second Thumb Right Button"		},
	{BTN_SELECT,		"BTN_SELECT",		"Select Button"				},
	{BTN_MODE,		"BTN_MODE",		"Mode Button"				},
	{BTN_THUMBL,		"BTN_THUMBL",		"Another Left Thumb Button"		},
	{BTN_THUMBR,		"BTN_THUMBR",		"Another Right Thumb Button"		},
	{BTN_TOOL_PEN,		"BTN_TOOL_PEN",		"Digitiser Pen Tool",			},
	{BTN_TOOL_RUBBER,	"BTN_TOOL_RUBBER",	"Digitiser Rubber Tool"			},
	{BTN_TOOL_BRUSH,	"BTN_TOOL_BRUSH",	"Digitiser Brush Tool"			},
	{BTN_TOOL_PENCIL,	"BTN_TOOL_PENCIL",	"Digitiser Pencil Tool"			},
	{BTN_TOOL_AIRBRUSH,	"BTN_TOOL_AIRBRUSH",	"Digitiser Airbrush Tool"		},
	{BTN_TOOL_FINGER,	"BTN_TOOL_FINGER",	"Digitiser Finger Tool"			},
	{BTN_TOOL_MOUSE,	"BTN_TOOL_MOUSE",	"Digitiser Mouse Tool"			},
	{BTN_TOOL_LENS,		"BTN_TOOL_LENS",	"Digitiser Lens Tool"			},
	{BTN_TOUCH,		"BTN_TOUCH",		"Digitiser Touch Button"		},
	{BTN_STYLUS,		"BTN_STYLUS",		"Digitiser Stylus Button"		},
	{BTN_STYLUS2,		"BTN_STYLUS2",		"Second Digitiser Stylus Button"	},

	{EMPCD_MAPPING_END,	"undefined",		"Undefined",				}
};

